//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_AXISDIALOG_H__F8083378_1466_11D4_A36D_00C04F72D141__INCLUDED_)
#define AFX_AXISDIALOG_H__F8083378_1466_11D4_A36D_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AxisDialog.h : header file
//

#include "sgraphview.h"

/////////////////////////////////////////////////////////////////////////////
// CAxisDialog dialog

class CAxisDialog : public CDialog
{
// Construction
public:

	enum {XAxis, YAxis};

	CAxisDialog(CSgraphDoc* pDoc, int axis, CWnd* pParent = NULL);

	BOOL OnInitDialog();
	
	int custom_axis_color;
	SGraph* m_graph;
	CSgraphDoc* m_pDoc;

	int selected_axis;

	// Dialog Data
	//{{AFX_DATA(CAxisDialog)
	enum { IDD = IDD_AXIS };
	CComboBox	m_axis_color;
	CButton	m_grid;
	CButton	m_tick_marks;
	CButton	m_tick_labels;
	CComboBox	m_axis;
	CComboBox	m_apply;
	CString	m_label;
	CString	m_major_tick;
	CString	m_minor_tick;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAxisDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAxisDialog)
	virtual void OnOK();
	afx_msg void OnTickMarkButton();
	afx_msg void OnTickLabelButton();
	afx_msg void OnApply();
	afx_msg void OnSelchangeAxis();
	afx_msg void OnGridStyleButton();
	afx_msg void OnSelchangeAxisColor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AXISDIALOG_H__F8083378_1466_11D4_A36D_00C04F72D141__INCLUDED_)
