//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_HISTOGRAMDIALOG_H__C09AA0FE_10BB_11D4_A36D_00C04F72D141__INCLUDED_)
#define AFX_HISTOGRAMDIALOG_H__C09AA0FE_10BB_11D4_A36D_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "sgraph.h"
#include "PlotList.h"

// HistogramDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHistogramDialog dialog

class CHistogramDialog : public PlotListBox, public CDialog
{
// Construction
public:
	CHistogramDialog(CDocument* pDoc, CWnd* pParent = NULL);
	
	BOOL OnInitDialog();
	
	SPlot& Histogram(SPlot &hist, SPlot &plot, int id, float start, 
		float end, float width);
	SPlot &Histogram(SPlot &hist, SPlot &plot, int id, 
		float start, float end, int numBin);
	CDocument* m_pDoc;

	BOOL use_num_bin;
// Dialog Data
	//{{AFX_DATA(CHistogramDialog)
	enum { IDD = IDD_HISTOGRAM };
	CComboBox	m_graph;
	CListBox	m_list;
	CString	m_end;
	CString	m_start;
	CString	m_width;
	CString	m_num_bin;
	BOOL	m_normalize;
	BOOL	m_center_bin;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHistogramDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CHistogramDialog)
	afx_msg void OnSelectChange();
	virtual void OnOK();
	afx_msg void OnBinWidthRadio();
	afx_msg void OnNumBinRadio();
	afx_msg void OnCheckNorm();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HISTOGRAMDIALOG_H__C09AA0FE_10BB_11D4_A36D_00C04F72D141__INCLUDED_)
