//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#ifndef __PLOT_LIST
#define __PLOT_LIST

// A class to manage a list box of plots

class PlotListBox{
private:
	CListBox *list_ptr;
	CDocument *pDoc;
	int selected_plot;
public:
	PlotListBox()
	{
		list_ptr = NULL;
		pDoc = NULL;
		selected_plot = -1;
	};

	inline int SelectedPlot()
	{
		return selected_plot;
	}

	void OnSelectChange();
	void OnInitDialog(CListBox &m_list, CDocument *m_pDoc);
};

#endif // __PLOT_LIST



