//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_PRESTOCOLOR_H__A434286D_2989_4ADE_A9C6_D7847939D8A2__INCLUDED_)
#define AFX_PRESTOCOLOR_H__A434286D_2989_4ADE_A9C6_D7847939D8A2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrestoColor.h : header file
//

#include "color.h"
/////////////////////////////////////////////////////////////////////////////
// CPrestoColor dialog

class CPrestoColor : public CDialog
{
// Construction
public:
	CPrestoColor(COLORREF m_color);

	BOOL OnInitDialog();
	void UpdateColor(CDC *pDC = NULL);

	COLORREF GetColor()
	{
		if(m_no_color){
			return NO_COLOR;
		}

		return m_red + (m_green << 8) + (m_blue << 16);
	};

protected:
	CRect PaintRect;

public:
// Dialog Data
	//{{AFX_DATA(CPrestoColor)
	enum { IDD = IDD_PRESTO_COLOR };
	CSliderCtrl	m_blue_slider;
	CSliderCtrl	m_green_slider;
	CSliderCtrl	m_red_slider;
	UINT	m_red;
	UINT	m_green;
	UINT	m_blue;
	BOOL	m_no_color;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrestoColor)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	
	// Generated message map functions
	//{{AFX_MSG(CPrestoColor)
	afx_msg void OnPaint();
	afx_msg void OnChangeREdit();
	afx_msg void OnChangeGEdit();
	afx_msg void OnChangeBEdit();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnOK();
	afx_msg void OnTransparentCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRESTOCOLOR_H__A434286D_2989_4ADE_A9C6_D7847939D8A2__INCLUDED_)
