//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_SCALEDIALOG_H__A894EC7C_F39C_11D3_A367_00C04F72D141__INCLUDED_)
#define AFX_SCALEDIALOG_H__A894EC7C_F39C_11D3_A367_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ScaleDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CScaleDialog dialog

class CScaleDialog : public CDialog
{
private:
	float value_x_max;
	float value_x_min;
	float value_y_max;
	float value_y_min;

// Construction
public:
	CScaleDialog(float x_max, float x_min, float y_max, float y_min,
		CWnd* pParent = NULL);   // standard constructor

	BOOL OnInitDialog();

	float GetXMax()
	{
		return value_x_max;
	};

	float GetXMin()
	{
		return value_x_min;
	};

	float GetYMax()
	{
		return value_y_max;
	};

	float GetYMin()
	{
		return value_y_min;
	};

	BOOL isDefault;
	int applyTo;

	// Combo box options
	enum {APPLY_TO_ALL_AXES_CUR_GRAPH = 0,
		  APPLY_TO_ALL_AXES_ALL_GRAPHS,
		  APPLY_TO_X_AXES_ALL_GRAPHS,
		  APPLY_TO_Y_AXES_ALL_GRAPHS};

// Dialog Data
	//{{AFX_DATA(CScaleDialog)
	enum { IDD = IDD_SCALE };
	CComboBox	m_apply_to;
	CString	m_x_max;
	CString	m_x_min;
	CString	m_y_max;
	CString	m_y_min;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScaleDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CScaleDialog)
	afx_msg void OnScaleDefault();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCALEDIALOG_H__A894EC7C_F39C_11D3_A367_00C04F72D141__INCLUDED_)
