//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_SETCONTROLDIALOG_H__F29B6050_F432_11D3_A367_00C04F72D141__INCLUDED_)
#define AFX_SETCONTROLDIALOG_H__F29B6050_F432_11D3_A367_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetControlDialog.h : header file
//
#include "sgraph.h"

/////////////////////////////////////////////////////////////////////////////
// CSetControlDialog dialog

class CSetControlDialog : public CDialog
{
// Construction
public:
	// Different uses for the dialog
	enum {SET_ACTIVATE, SET_DEACTIVATE, SET_DELETE, 
		SET_SELECT_SINGLE, SET_SELECT_MULTIPLE, 
		SET_BRING_TO_FRONT, SET_SEND_TO_BACK};

	CSetControlDialog(int action, list<SPlot> *plot_list,
		CWnd* pParent = NULL);   // standard constructor

	int m_action;
	list<SPlot> *m_ptr_list;
	
	list<int> m_selected;
	
	CListBox m_set_list;
	CFont m_font; // Font for the list box

	BOOL OnInitDialog();
	
	list<int> &SelectedStates()
	{
		return m_selected;
	};


// Dialog Data
	//{{AFX_DATA(CSetControlDialog)
	enum { IDD = IDD_SET_CONTROL };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetControlDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetControlDialog)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETCONTROLDIALOG_H__F29B6050_F432_11D3_A367_00C04F72D141__INCLUDED_)
