#if !defined(AFX_AUDIODIALOG_H__85C6983B_BF65_4421_9A1D_4FECA9F6CA7A__INCLUDED_)
#define AFX_AUDIODIALOG_H__85C6983B_BF65_4421_9A1D_4FECA9F6CA7A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AudioDialog.h : header file
//

#include "PlotList.h"

/////////////////////////////////////////////////////////////////////////////
// CAudioDialog dialog

class CAudioDialog : public CDialog
{
// Construction
public:
	CAudioDialog(CDocument* pDoc, CWnd* pParent = NULL);

	BOOL OnInitDialog();

	enum {MONO = 0, STEREO};
	enum {FREQ_8 = 0, FREQ_11, FREQ_22, FREQ_44};

	PlotListBox leftListBox;
	PlotListBox rightListBox;

	CDocument* m_pDoc;

	int num_channels;
	int freq;

// Dialog Data
	//{{AFX_DATA(CAudioDialog)
	enum { IDD = IDD_AUDIO_DIALOG };
	CListBox	m_right_list;
	CListBox	m_left_list;
	CComboBox	m_channels_combo;
	CComboBox	m_freq_combo;
	CString	m_left_lable;
	CString	m_right_lable;
	UINT	m_volume;
	BOOL	m_use_default_app;
	float	m_duration;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAudioDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAudioDialog)
	afx_msg void OnSelchangeLeftList();
	afx_msg void OnSelchangeRightList();
	afx_msg void OnSelchangeChannelsCombo();
	afx_msg void OnPlayButton();
	afx_msg void OnSaveButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AUDIODIALOG_H__85C6983B_BF65_4421_9A1D_4FECA9F6CA7A__INCLUDED_)
