//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_ERRORBARDIALOG_H__A5C4CBDE_630B_11D4_A37A_00C04F72D141__INCLUDED_)
#define AFX_ERRORBARDIALOG_H__A5C4CBDE_630B_11D4_A37A_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ErrorBarDialog.h : header file

#include "PlotList.h"

/////////////////////////////////////////////////////////////////////////////
// CErrorBarDialog dialog

class CErrorBarDialog : public PlotListBox, public CDialog
{
// Construction
public:
	CErrorBarDialog(CDocument* pDoc, CWnd* pParent = NULL);
	
	BOOL OnInitDialog();
	void SetDefaultOptions();

	CDocument* m_pDoc;
// Dialog Data
	//{{AFX_DATA(CErrorBarDialog)
	enum { IDD = IDD_ERROR_BAR };
	CListBox	m_list;
	CComboBox	m_hat_size;
	CComboBox	m_line_type;
	CComboBox	m_line_size;
	CComboBox	m_display_x;
	CComboBox	m_display_y;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CErrorBarDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CErrorBarDialog)
		afx_msg void OnSelectChange();
		virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ERRORBARDIALOG_H__A5C4CBDE_630B_11D4_A37A_00C04F72D141__INCLUDED_)
