//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__828224E6_F061_11D3_A367_00C04F72D141__INCLUDED_)
#define AFX_MAINFRM_H__828224E6_F061_11D3_A367_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

	// Overload the SetMessageText functions to map the 
	// status bar text string to the right-most pane
	void SetMessageText( LPCTSTR lpszText );
	void SetMessageText( UINT nID );

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL
	
	afx_msg LRESULT RefreshTheView(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT PipeStatus(WPARAM wParam, LPARAM lParam);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	
	// Control the window aspect ratio
	BOOL isWYSIWYG;
	float aspectWYSIWYG;

	void EnableWYSIWYG(float m_aspectWYSIWYG);
	void DisableWYSIWYG();

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__828224E6_F061_11D3_A367_00C04F72D141__INCLUDED_)
