//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_PARAMETRICFUNCTIONDIALOG_H__5BE3E084_F8C9_43F8_A8BE_0C6FD1CC6F59__INCLUDED_)
#define AFX_PARAMETRICFUNCTIONDIALOG_H__5BE3E084_F8C9_43F8_A8BE_0C6FD1CC6F59__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ParametricFunctionDialog.h : header file
//

#include "history.h"

/////////////////////////////////////////////////////////////////////////////
// CParametricFunctionDialog dialog

class CParametricFunctionDialog : public CDialog
{
// Construction
public:
	CParametricFunctionDialog(CDocument* pDoc, 
		list<ParametricEquationInfo> &m_paraEqHistory);

	BOOL OnInitDialog();
	void SaveEquationHistory();

	CDocument* m_pDoc;
	
	list<ParametricEquationInfo> *ptrParaEqHistory;

// Dialog Data
	//{{AFX_DATA(CParametricFunctionDialog)
	enum { IDD = IDD_PARAMETRIC_DIALOG };
	CTabCtrl	m_eq_tab;
	CProgressCtrl	m_status;
	UINT	m_num_points;
	CString	m_t_max;
	CString	m_t_min;
	CString	m_x_of_t;
	CString	m_y_of_t;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CParametricFunctionDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CParametricFunctionDialog)
	virtual void OnOK();
	afx_msg void OnSelchangeEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PARAMETRICFUNCTIONDIALOG_H__5BE3E084_F8C9_43F8_A8BE_0C6FD1CC6F59__INCLUDED_)
