//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.

#include "stdafx.h"
#include "sgraph.h"
#include "SelectGraphDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSelectGraphDialog dialog


CSelectGraphDialog::CSelectGraphDialog(int m_curr, int m_num_graph)
	: CDialog(CSelectGraphDialog::IDD, NULL)
{
	current = m_curr;
	num_graph = m_num_graph;

	//{{AFX_DATA_INIT(CSelectGraphDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSelectGraphDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectGraphDialog)
	DDX_Control(pDX, IDC_SELECT_COMBO, m_graph);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSelectGraphDialog, CDialog)
	//{{AFX_MSG_MAP(CSelectGraphDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectGraphDialog message handlers

BOOL CSelectGraphDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

	CString counter;

	for(int i = 0;i < num_graph;i++){
		counter.Format("%d", i);
		m_graph.AddString(counter);
	}

	// Make the "Current" string the combo box default
	m_graph.SetCurSel(current);

	return TRUE;
}

void CSelectGraphDialog::OnOK() 
{
	current = m_graph.GetCurSel();
	
	CDialog::OnOK();
}
