//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.

#if !defined(AFX_TICKMARKDIALOG_H__CF273466_21C6_11D4_A36E_00C04F72D141__INCLUDED_)
#define AFX_TICKMARKDIALOG_H__CF273466_21C6_11D4_A36E_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SGraphDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CTickMarkDialog dialog

class CTickMarkDialog : public CDialog
{
// Construction
public:
	CTickMarkDialog(CSgraphDoc* pDoc, int axis, CWnd* pParent = NULL);
	
	BOOL OnInitDialog();
	void UpdateTicks(int graph, int axis);

	CSgraphDoc* m_pDoc;
	int selected_axis;
	int m_tick_location;
	int m_tick_direction;

// Dialog Data
	//{{AFX_DATA(CTickMarkDialog)
	enum { IDD = IDD_TICK_MARK_DIALOG };
	CComboBox	m_apply;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTickMarkDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTickMarkDialog)
	afx_msg void OnRadioBoth();
	afx_msg void OnRadioIn();
	afx_msg void OnRadioNormal();
	afx_msg void OnRadioOpposite();
	afx_msg void OnRadioOut();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TICKMARKDIALOG_H__CF273466_21C6_11D4_A36E_00C04F72D141__INCLUDED_)
